Subject: [alpine-aports] [PATCH 1/4] main/vim: upgrade to 8.0.0349

From: Ivan Tham <[email-masked]>
Date: Sat, 25 Feb 2017 16:09:41 +0800

---
 main/vim/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/main/vim/APKBUILD b/main/vim/APKBUILD
index 33cfd86..5336208 100644
--- a/main/vim/APKBUILD
+++ b/main/vim/APKBUILD
@@ -3,7 +3,7 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=vim
-pkgver=8.0.0348
+pkgver=8.0.0349
 pkgrel=0
 pkgdesc="advanced text editor"
 url="http://www.vim.org"
@@ -64,5 +64,5 @@ vimdiff() {
 	mv "$pkgdir"/usr/bin/vimdiff "$subpkgdir"/usr/bin
 }
 
-sha512sums="3c32be31b340ee1217df6aecc25e32aeb762b4d1be387a14ad4b179644aa47d9b4314e3e62f8dbe76082340462515a8daac2f4026312b672941bdd05041d70c0  vim-8.0.0348.tar.gz
+sha512sums="5c1a7feb9627ccdabb440a63a1864cd3c50352bf72923de460a45751138f8189ba156c3928ac3550ca9c5758755ce7fc6f0a875aff83fcdca12dea93f4a6b2a7  vim-8.0.0349.tar.gz
 d9586b777881973cb5e48e18750336a522ed72c3127b2d6b6991e2b943468ca5b694476e7fa39ab469178c1375fc8f52627484e0fe377aea5811a513e35a7b02  vimrc"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Ivan Tham <[email-masked]>
Date: Sat, 25 Feb 2017 16:09:42 +0800

---
 main/py-httplib2/APKBUILD | 35 +++++++++++++++++++++++------------
 1 file changed, 23 insertions(+), 12 deletions(-)

diff --git a/main/py-httplib2/APKBUILD b/main/py-httplib2/APKBUILD
index aca2221..2ff97d5 100644
--- a/main/py-httplib2/APKBUILD
+++ b/main/py-httplib2/APKBUILD
@@ -5,30 +5,41 @@ _pkgname=httplib2
 pkgver=0.10.3
 pkgrel=0
 pkgdesc="A Python HTTP client library"
-url="https://github.com/jcgregorio/httplib2"
+url="https://github.com/httplib2/httplib2"
 arch="noarch"
 license="MIT"
-depends="python2"
-makedepends="python2-dev py-setuptools"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${_pkgname}:_py2 py3-${_pkgname}:_py3"
 source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
 builddir="$srcdir/$_pkgname-$pkgver"
 
-prepare() {
-	default_prepare || return 1
-
-	cd "$builddir"
-	chmod 644 python2/${_pkgname}.egg-info/*
-}
-
 build() {
 	cd "$builddir"
 	python2 setup.py build || return 1
+	python3 setup.py build || return 1
 }
 
 package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
 	cd "$builddir"
-	python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
-	chmod o+r $pkgdir/usr/lib/python2.7/site-packages/httplib2/cacerts.txt
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
 }
 
 sha512sums="d024986ffd577858017d7a8cfcae98a6cd04b8c89634ea302df4c1443eb2381cecca6ffbb631c9d4260335a3462df6d5604ec485aa591a05cb0231a3f6745aaa  httplib2-0.10.3.tar.gz"
-- 
2.11.1

---

---

From: Ivan Tham <[email-masked]>
Date: Sat, 25 Feb 2017 16:09:43 +0800

---
 main/py-oauth2client/APKBUILD | 53 ++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 23 deletions(-)

diff --git a/main/py-oauth2client/APKBUILD b/main/py-oauth2client/APKBUILD
index 60c48b8..b17cf03 100644
--- a/main/py-oauth2client/APKBUILD
+++ b/main/py-oauth2client/APKBUILD
@@ -1,40 +1,47 @@
 # Maintainer: Peter Bui <[email-masked]>
 pkgname=py-oauth2client
 _pkgname=oauth2client
-pkgver=1.4.12
+pkgver=4.0.0
 pkgrel=0
 pkgdesc="A client library for OAuth 2.0"
 url="https://github.com/google/oauth2client"
 arch="noarch"
 license="Apache"
-depends="python2 py-asn1 py-httplib2 py-asn1-modules py-rsa py-six"
-depends_dev=""
-makedepends="python2-dev py-setuptools"
-install=""
-subpackages=""
+depends="py-asn1 py-httplib2 py-asn1-modules py-rsa py-six"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${_pkgname}:_py2 py3-${_pkgname}:_py3"
 source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir"/$_pkgname-$pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 
 package() {
-	cd "$_builddir"
-	python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	depends="${depends//py-/py2}"
+	_py python2
+}
+
+_py3() {
+	depends="${depends//py-/py3}"
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
 }
 
-md5sums="829a05a559b43215d67947aaff9c11b5  oauth2client-1.4.12.tar.gz"
-sha256sums="74aa6c3beb90a4a7b9b8d0bc3cd60db34d45c5ee6136187bb9eabe85b4990e5e  oauth2client-1.4.12.tar.gz"
-sha512sums="90be14e7572f4f25b9284969f2b3969a8be8115b0b648c45e022353ca101c716a8f1478045f807909774cc9abbb82c60547d01458707904b8d7aa7cc64467a2c  oauth2client-1.4.12.tar.gz"
+sha512sums="3883a148a3db7069bc1c16a1110789b0b1a8b13c56a11b50eec11907ef360b5e204dbb302a7e6f8f3f3addf009d4eac773ab50a1dc04cfaa914a4b3a54811553  oauth2client-4.0.0.tar.gz"
-- 
2.11.1

---

---

From: Ivan Tham <[email-masked]>
Date: Sat, 25 Feb 2017 16:09:44 +0800

https://gitlab.com/goobook/goobook
Access Google contacts from the command line
---
 testing/goobook/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/goobook/APKBUILD

diff --git a/testing/goobook/APKBUILD b/testing/goobook/APKBUILD
new file mode 100644
index 0000000..dde3f0e
--- /dev/null
+++ b/testing/goobook/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=goobook
+_pkgname=goobook
+pkgver=1.9
+pkgrel=0
+pkgdesc="Access Google contacts from the command line"
+url="https://gitlab.com/goobook/goobook"
+arch="all"
+license="GPL3"
+depends="py-httplib2 py-asn1 py-rsa py-asn1-modules py-six"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	depends="${depends//py-/py2-}"
+	_py python2
+}
+
+_py3() {
+	depends="${depends//py-/py3-}"
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+}
+
+sha512sums="66d017bfa0fcad39d24b80e454d4d2e97f92a95f6dbf545739b89721b8c44702177a7f656d9cf1f38ac8278f235935afe666047cbfb64733f8deae6838f91d81  goobook-1.9.tar.gz"
-- 
2.11.1

---